| Home | Libraries | People | FAQ | More

#### grammar::token_rule

Match a non-empty string of characters from a set.

##### Synopsis

Defined in header `<boost/url/grammar/token_rule.hpp>`

    template<
        class CharSet>
    constexpr implementation-defined
    token_rule(
        CharSet cs);

##### Description

If there is no more input, the error code `error::need_more` is returned.

##### Value Type

    using value_type = core::string_view;

##### Example

Rules are used with the function `parse`.

    system::result< core::string_view > rv = parse( "abcdef" , token_rule( alpha_chars ) );

##### BNF

    token     = 1*( ch )

##### Parameters

Name | Description
--- | ---
`cs` | The character set to use

##### See Also

`alpha_chars`, `parse`.

Convenience header `<boost/url/grammar.hpp>`